Last Comment Bug 814009 - Only generate windows 64 builds where supported
: Only generate windows 64 builds where supported
Status: RESOLVED FIXED
Current plan in https://groups.google...
:
Product: Release Engineering
Classification: Other
Component: Other (show other bugs)
: other
: x86_64 Windows 7
: P2 normal (vote)
: ---
Assigned To: Armen Zambrano [:armenzg] (EDT/UTC-4)
:
Mentors:
Depends on: 737661 812966 814116 814180 826010 834891 855056 857486
Blocks: tracking_win64 support-win64 support-win64-thunderbird 784681
  Show dependency treegraph
 
Reported: 2012-11-21 08:16 PST by Benjamin Smedberg [:bsmedberg]
Modified: 2014-10-29 07:07 PDT (History)
47 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
[tools] remove win64 testers (2.31 KB, patch)
2013-01-04 13:48 PST, Armen Zambrano [:armenzg] (EDT/UTC-4)
bugspam.Callek: review+
armenzg: checked‑in+
Details | Diff | Splinter Review
[configs] remove win64 testers (15.28 KB, patch)
2013-01-04 13:50 PST, Armen Zambrano [:armenzg] (EDT/UTC-4)
bugspam.Callek: review+
armenzg: checked‑in+
Details | Diff | Splinter Review
[puppet] remove win64 tests (1.52 KB, patch)
2013-01-04 13:51 PST, Armen Zambrano [:armenzg] (EDT/UTC-4)
bugspam.Callek: review+
armenzg: checked‑in+
Details | Diff | Splinter Review
leave win64 dep builds running on mozilla-central and try (when specified explicitely) (17.12 KB, patch)
2013-03-28 08:16 PDT, Armen Zambrano [:armenzg] (EDT/UTC-4)
aki: review+
armenzg: checked‑in+
Details | Diff | Splinter Review
add comm-central on-change and nightly builds (2.07 KB, patch)
2013-04-02 12:50 PDT, Armen Zambrano [:armenzg] (EDT/UTC-4)
aki: review+
armenzg: checked‑in+
Details | Diff | Splinter Review

Description Benjamin Smedberg [:bsmedberg] 2012-11-21 08:16:54 PST
Per newsgroup discussion. Please stop building windows 64 builds and tests. This includes the following subtasks, which I'm not filing specific bugs on but you may want to break these out:

* stop building win64 nightlies
* repatriate existing win64 nightly users onto win32 builds using a custom update
* stop doing win64 "hourly" builds on mozilla-central and other branches
* disable the win64 option in try/trychooser

This bug is not the place to argue about this decision, which has already been made. If there is critical data which you think should be heard about this decision, please post it to mozilla.dev.apps.firefox.
Comment 1 Armen Zambrano [:armenzg] (EDT/UTC-4) 2012-11-21 08:39:44 PST
Sounds good. I had started this same thread last week to reduce load and increase capacity.

The only part I don't know how to do is the migration of users. I will ask around and see who can pick it up.
Comment 2 Ben Hearsum (:bhearsum) 2012-11-21 08:45:18 PST
(In reply to Benjamin Smedberg  [:bsmedberg] from comment #0)
> * repatriate existing win64 nightly users onto win32 builds using a custom
> update

Do we know that there's a worthwhile number of users to bother with this? If so, I suggest we file a separate bug for this, and possibly do it after we turn off builds.
Comment 3 Phil Ringnalda (:philor) 2012-11-21 09:25:49 PST
Last I heard, it's 50% of our nightly testers.
Comment 4 SpeciesX 2012-11-21 10:09:46 PST
(In reply to Benjamin Smedberg  [:bsmedberg] from comment #0)
> Per newsgroup discussion. Please stop building windows 64 builds and tests.

> * repatriate existing win64 nightly users onto win32 builds using a custom
> update

Best way is to remove the update button, adding small info that Mozilla no longer support Win64 Nightly builds and add a link to http://nightly.mozilla.org. 
And not by force them to use win32 Nightly, i'm pretty sure, most of the Win64 will no longer use firefox Nightly.
Comment 5 Justin Wood (:Callek) (Away until Aug 29) 2012-11-21 11:34:03 PST
Just to include for my own future reference (probably stated elsewhere as well)

<Callek|buildduty> bsmedberg: as a curiosity to help inform my mind here, will we still want w64 for w8-based builds+tests?
<bsmedberg> no
<Callek|buildduty> bsmedberg: so even for w8 tests w32 is all we need?
<bsmedberg> yes
Comment 6 Michal 'hramrach' Suchanek 2012-11-21 14:30:54 PST
(In reply to Phil Ringnalda (:philor) from comment #3)
> Last I heard, it's 50% of our nightly testers.

Yes, of course.

There was no 64bit release.

(In reply to SpeciesX from comment #4)
> (In reply to Benjamin Smedberg  [:bsmedberg] from comment #0)
> > Per newsgroup discussion. Please stop building windows 64 builds and tests.
> 
> > * repatriate existing win64 nightly users onto win32 builds using a custom
> > update
> 
> Best way is to remove the update button, adding small info that Mozilla no
> longer support Win64 Nightly builds and add a link to
> http://nightly.mozilla.org. 
> And not by force them to use win32 Nightly, i'm pretty sure, most of the
> Win64 will no longer use firefox Nightly.

Sure. I for one won't be running Firefox on Windows at all. I upgraded to a 64bit nightly after I hit the 32bit address space limit with Mozilla's resource usage.

Time to look for a new browser for Windows I guess. Now since most nifty Firefox extensions either don't work even in Firefox or are ported to other browsers as well this should not be much of a problem.
Comment 7 Phoenix 2012-11-21 15:10:48 PST
(In reply to Phil Ringnalda (:philor) from comment #3)
> Last I heard, it's 50% of our nightly testers.
So, how many of them Mozilla ready to loose after this change? )
Comment 8 Justin Wood (:Callek) (Away until Aug 29) 2012-11-21 15:17:54 PST
(In reply to Michal 'hramrach' Suchanek from comment #6)

(In reply to Phoenix from comment #7)

Bugzilla is not the venue to discuss this, the decision has been made. If you contest with the decision please see the thread where it *was* discussed which is in the public at https://groups.google.com/d/topic/mozilla.dev.planning/EmXonELGjVM/discussion

Commenting here with "me too"'s or "why's" or "please don't" type comments is disruptive to those of us who actually work on the problem, and may result in your account getting banned.

For more information regarding the ettiquette of Bugzilla please see: https://bugzilla.mozilla.org/page.cgi?id=etiquette.html
Comment 9 Virtual_ManPL [:Virtual] - (ni? me) 2012-11-21 15:36:22 PST
Will an update from Win64 to Win32 be offered to users as standard update or it will be too much burden and we need to update it manually by reinstalling Win32 build ?
Comment 10 Justin Wood (:Callek) (Away until Aug 29) 2012-11-21 15:41:17 PST
(In reply to Virtual_ManPL [:Virtual] from comment #9)
> Will an update from Win64 to Win32 be offered to users as standard update or
> it will be too much burden and we need to update it manually by reinstalling
> Win32 build ?

That is indeed planned, and is what Ben had meant with "* repatriate existing win64 nightly users onto win32 builds using a custom update"

We're still figuring out timeframe/whats needed to do that though. But we intend to do it at about the same time as when we actually turn off w64 nightlies.
Comment 11 DKT27 2012-11-22 03:57:03 PST
I have a question. Will Firefox ever have any 64-bit in future? As in, is there any chance that, as time changes, we will start seeing 64-bit builds again? Or is this a forever nail to the coffin?

Anyway, worth noting is, IE 64-bit never seemed Microsoft's priority (IE9 64-bit for example, lacking feature(s) that enhance the performance), but, Opera for example seems to be doing well with it's newly introduced, stable builds.

And yes, half of nightly users might stop using nightly builds if 64-bit builds are removed.

So yea, in the time when the browsers are moving so fast, will we see any re-consideration in the unseen future.
Comment 12 Gary King 2012-11-22 05:56:23 PST
Why? This has to be one of the lamest things to do. Opera has even come out with a 64 Bit Version.
Comment 13 Ben Hearsum (:bhearsum) 2012-11-22 06:30:31 PST
As a reminder folks, this is a work item bug for the Release Engineering team. We are NOT the ones that made this decision, and discussing the issue here is not the right venue. IRC and newsgroups should be your venues for that.
Comment 14 SpeciesX 2012-11-22 06:42:11 PST
(In reply to Ben Hearsum [:bhearsum] from comment #13)
>We are NOT the ones that made this decision, and discussing the issue
> here is not the right venue. IRC and newsgroups should be your venues for
> that.

Only one person has decided to kill Win64 build...
Comment 15 Armen Zambrano [:armenzg] (EDT/UTC-4) 2012-11-22 07:03:13 PST
The Products team made the recommendation back in March https://groups.google.com/d/msg/mozilla.dev.planning/EmXonELGjVM/fRynmbLObUoJ

I reply to the thread hoping we do something slightly different.
Comment 16 Ant 2012-11-22 11:05:35 PST
:(
Comment 17 cy 2012-11-22 11:37:29 PST
then a LOT of work needs to be done informing folks out there that Firefox 32bit will run fine on a 64bit OS like Win7. 

NO where have I seen that info in any of the mostly negative press.
Comment 18 js8080 2012-11-23 03:08:20 PST
It's f...gly amazing. You guys manage to waste 100M$/year on software development and then... fail to create 64-bit build? In all these years?! Holy ****, maintainers of Linux distro I'm also using were able to create working 64-bit builds for at least 8 years at much smaller budget. Why the heck some third-party guys can do your job better than you? ****, what you're doing when wasting 100M$? Buying some expensive yachts to top managers or something like that? You've also ditched Thunderbird. But where to you waste all these 100M bucks??? And where is any effect of this waste? I think you should really fire some of top managers, etc. Else you will become part of history.
Comment 19 DKT27 2012-11-23 03:24:41 PST
Can the platform be changed from Windows 7 to Windows in general or include Windows 8?
Comment 20 Navid Vahdat 2012-11-23 03:58:08 PST
How does are 64-bit releases like Waterfox and Palemoon affected by killing the 64-bit build?
Comment 21 bojo 2012-11-23 05:57:52 PST
What is the future of SpiderMonkey ? I am using recent version of this JavaScript engine and I depend on x64 bit builds for Windows.
Comment 22 Ben Hearsum (:bhearsum) 2012-11-23 06:02:41 PST
All - I understand many of you are upset this decision, and have questions. Please take them to dev.apps.firefox (https://groups.google.com/forum/?fromgroups#!forum/mozilla.dev.apps.firefox) or another newsgroup. Most of the folks who can answer them are not subscribed to this bug.
Comment 23 Sven 2012-11-23 06:08:14 PST
In a german article on heise.de, it says that you stop providing win64 builds partly because plugins are not available in 64bit versions and thus the user experience would be bad.
Now, that you chicken out of providing a win64 build, we really have a chicken-egg problem going on. Now, companies like Adobe can further delay any effort in making a 64Bit Flash plug-in or a 64Bit adobe reader plugin. Isn't that a pretty bad strategy?

Also, what happened to the plugin-container concept? Shouldn't you be able to run 32Bit plugin in an external process? I believe opera does it like that.
Comment 24 Armen Zambrano [:armenzg] (EDT/UTC-4) 2012-11-23 06:21:07 PST
The people that can address your concerns are not on this page.

Please please please... move the discussions to https://groups.google.com/forum/?fromgroups#!forum/mozilla.dev.apps.firefox

We can easily lock this bug from further commenting but we don't want to do that.
We can hear you on the forums and it is much easier to discuss this with the people that can make changes to the proposal.
Comment 25 js8080 2012-11-23 08:04:59 PST
>  Please move the discussions to https://groups.google.com/forum/
And why I'm supposed to have google account to be able to comment?
Comment 26 Ben Hearsum (:bhearsum) 2012-11-23 08:10:57 PST
(In reply to js8080 from comment #25)
> >  Please move the discussions to https://groups.google.com/forum/
> And why I'm supposed to have google account to be able to comment?

You don't, it's just the most convenient interface. You may also post through the "mozilla.dev.apps.firefox" NNTP group. Or you can subscribe via the mailing list here: https://lists.mozilla.org/listinfo/dev-apps-firefox
Comment 27 Andreas Eibach 2012-11-23 17:59:06 PST
bhearsum, it's not THAT simple, at least in some countries. These said NNTP groups are accessible from some providers, yes; but to post, you will need a paid account. Many ISPs consider Usenet simply 'clinically dead' and will no longer support it in a read-write fashion unless you agree on extra option which costs you extra money, too.

The new Google Groups interface is just horrible, and there is no longer a way to opt out - so for me, I will not use these to post for sure.

... and to comment 24:
"Please please please... move the discussions to https://groups.google.com/forum/?fromgroups#!forum/mozilla.dev.apps.firefox"

Just read what bsmedberg wrote on Nov 22 (read: YESTERDAY)
https://groups.google.com/forum/#!msg/mozilla.dev.planning/EmXonELGjVM/rchkN2iMdL8J

"Please let us consider this discussion closed unless there is critical new information which needs to be presented."

Ahah. So just shortly after it has been started, he wants to consider the discussion closed again. And now you come along suggesting that we should continue the discussion on m.d.a.f. anyway.
There's something here that doesn't make sense logically, IMHO.

Plus, just my 2 cents, this ridiculous number of 27 posts can't really be called a discussion. To me it rather sounds like "there was way too many negative comments than I expected, so let's play the stick-in-the-mud in order not to let user-side bashing no longer come near you." Way to go, I must say.
Comment 28 cy 2012-11-23 18:58:54 PST
some major pubic relation blunders going on here ... 

after seeing in the news that Mozilla is dropping Thunderbird and 64 bit Firefox .. a LOT of folks wondering what is going on. 

matters not if it's true or false, it's the perception that something major is going wrong with Mozilla. 

perhaps the folks that made this decision should be joining in here for some frank feedback.
Comment 29 Morning 2012-11-24 01:11:48 PST
Disgusting
Comment 30 Andre Klapper 2012-11-24 11:47:46 PST
****************************************************************************************
Go to forums or mailing lists or newsgroups (all mentioned above already) or your blog or a random internet page to post your useless statements that don't add ANY value to this report.
I'm interested in following the process of this bug report, not comments addressed to Mozilla management that will likely NOT read this technical report anyway.
Please understand what bugtrackers are for, and even more what they ARE NOT for. Thanks.
****************************************************************************************
Comment 31 Morning 2012-11-25 05:35:35 PST
How long does it take you to dump the x64 branch? Why is this "bug" here in the first place? Complain about this bug being here, not us commenting.
Comment 32 Steve Fink [:sfink] [:s:] 2012-11-26 12:20:50 PST
(In reply to Benjamin Smedberg  [:bsmedberg] from comment #0)
> * disable the win64 option in try/trychooser

Is this necessary? Are we removing win64 builders entirely? Or is this just an artifact of trychooser's inability to have default-off options (bug 691177)? If the latter, this would provide me (even better: someone else!) incentive to implement that.
Comment 33 Ben Hearsum (:bhearsum) 2012-11-26 12:27:55 PST
(In reply to Steve Fink [:sfink] from comment #32)
> (In reply to Benjamin Smedberg  [:bsmedberg] from comment #0)
> > * disable the win64 option in try/trychooser
> 
> Is this necessary? Are we removing win64 builders entirely? Or is this just
> an artifact of trychooser's inability to have default-off options (bug
> 691177)? If the latter, this would provide me (even better: someone else!)
> incentive to implement that.

We're removing them entirely.
Comment 34 Chris Cooper [:coop] [away until Aug 29] 2012-12-05 07:28:49 PST
(In reply to Benjamin Smedberg  [:bsmedberg] from comment #0) 
> * repatriate existing win64 nightly users onto win32 builds using a custom
> update

I'm going to break this one out into a separate bug. It seems that most 64-bit users who have commented thus far would *not* like to end up on 32-bit by default, so this will require more work in the custom update.

> * stop building win64 nightlies
> * stop doing win64 "hourly" builds on mozilla-central and other branches
> * disable the win64 option in try/trychooser

bsmedberg: is it OK if I leave win64 as a non-default option in trychooser, i.e. you would need to explicitly select the option to get a win64 build? Anyone who wants to continue to work on win64 builds in the interim would still be able to.
Comment 35 Phil Ringnalda (:philor) 2012-12-05 11:50:50 PST
Would that mean that the default trychooser syntax would be "try: -b do -p linux,linux64,macosx64,win32,android,android-armv6,android-noion,ics_armv7a_gecko,panda,otoro,unagi -u all -t none" and that people who either type -p all or get it from a trychooser hg extension would be always getting win64 (even after we inevitably break it), or did you mean that you're going to fix bug 691177?
Comment 36 Chris Cooper [:coop] [away until Aug 29] 2012-12-05 12:41:11 PST
(In reply to Phil Ringnalda (:philor) from comment #35)
> or did you mean that you're going to fix bug 691177?

Perhaps not me personally, but yes, I think fixing that is important. Making it easier to not build things by default attacks the load issue where it starts.
Comment 37 John O'Duinn [:joduinn] (please use "needinfo?" flag) 2013-01-02 12:20:33 PST
tweaking summary, per bsmedberg, we'll still generate 64bit windows builds as follows:

1) generate 64bit builds on mozilla-central, but not on mozilla-inbound, m-a/m-b/m-r or any project branches
** 64bit builds would be nightly builds only, not per checkin builds

2) 64bit builds on try, but not-by-default

3) 64bit builds only, there will not be any tests run on these 64bit builds
Comment 38 Armen Zambrano [:armenzg] (EDT/UTC-4) 2013-01-04 13:48:53 PST
Created attachment 698072 [details] [diff] [review]
[tools] remove win64 testers
Comment 39 Armen Zambrano [:armenzg] (EDT/UTC-4) 2013-01-04 13:50:19 PST
Created attachment 698073 [details] [diff] [review]
[configs] remove win64 testers
Comment 40 Armen Zambrano [:armenzg] (EDT/UTC-4) 2013-01-04 13:51:18 PST
Created attachment 698074 [details] [diff] [review]
[puppet] remove win64 tests
Comment 41 Jim Mathies [:jimm] 2013-01-04 13:58:00 PST
Hey Armen, can you also kill the Win64 opt build on elm when you get a chance?
Comment 42 Steve Fink [:sfink] [:s:] 2013-01-04 14:01:58 PST
Bug 691177, which flopped on landing once but I believe has functional patches now, would allow turning off the try tests by default too. I don't know if that capability was factored into point #3 of comment 37 above.
Comment 44 Armen Zambrano [:armenzg] (EDT/UTC-4) 2013-01-07 07:54:00 PST
None of these code changes where to disable builds but to remove the code that the 5 windows 7 64-bit machines were running (They were running just in case testing on that OS became tier1 again)

http://hg.mozilla.org/build/tools/rev/abf7cfe92ecf
http://hg.mozilla.org/build/buildbot-configs/rev/b93785e0b0da
http://hg.mozilla.org/build/puppet-manifests/diff/2a7328c269ea/modules/buildmaster/templates/BuildSlaves-tests.py.erb
Comment 45 Ben Hearsum (:bhearsum) 2013-01-08 07:37:57 PST
in production
Comment 46 alex_mayorga 2013-01-10 12:59:25 PST
Is this why I'm stuck at Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:21.0) Gecko/20130109 Firefox/21.0 ID:20130109030942 ?
Comment 47 Ed Morley [:emorley] 2013-01-10 13:08:46 PST
(In reply to alex_mayorga from comment #46)
> Is this why I'm stuck at Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:21.0)
> Gecko/20130109 Firefox/21.0 ID:20130109030942 ?

No, nightlies are still being generated.

The problem in your case is that the last few Nightlies have been broken:
https://tbpl.mozilla.org/php/getParsedLog.php?id=18669831&tree=Firefox#error3
Comment 48 alex_mayorga 2013-01-10 15:23:47 PST
Mr Morley,

And that's bug 812218 apparently, right?
Comment 49 alex_mayorga 2013-01-17 07:05:24 PST
Should I file a separate bug for the lack of updates since Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:21.0) Gecko/20130109 Firefox/21.0 ID:20130109030942 ?
Comment 50 Ben Hearsum (:bhearsum) 2013-01-17 07:08:24 PST
(In reply to alex_mayorga from comment #49)
> Should I file a separate bug for the lack of updates since Mozilla/5.0
> (Windows NT 6.1; Win64; x64; rv:21.0) Gecko/20130109 Firefox/21.0
> ID:20130109030942 ?

There's no updates because the builds are broken. Looks like that's https://bugzilla.mozilla.org/show_bug.cgi?id=829738 or https://bugzilla.mozilla.org/show_bug.cgi?id=745093.
Comment 51 Yuan Pengfei 2013-01-17 07:23:43 PST
bug 830676 causes many websites broken on win64
Comment 52 Armen Zambrano [:armenzg] (EDT/UTC-4) 2013-01-17 07:36:14 PST
(In reply to Yuan Pengfei from comment #51)
> bug 830676 causes many websites broken on win64

Hi Yuan, please follow up on that bug and not on this one. Remember that win64 is not tier1 for Mozilla and it will not get someone to fix it unless someone volunteers for it. Convincing Mozilla that win64 should be tier1 will require conversation on the mailing lists and not on this bug.

joduinn gives a summary of the current plan for this bug in comment 37:
https://bugzilla.mozilla.org/show_bug.cgi?id=814009#c37

The extended explanation by bsmedberg is in here:
https://groups.google.com/forum/#!msg/mozilla.dev.apps.firefox/DOihL2429NM/ZxXhgVt7Dm0J
Comment 53 Yuan Pengfei 2013-01-17 16:26:23 PST
(In reply to Armen Zambrano G. [:armenzg] from comment #52)
> (In reply to Yuan Pengfei from comment #51)
> > bug 830676 causes many websites broken on win64
> 
> Hi Yuan, please follow up on that bug and not on this one. Remember that
> win64 is not tier1 for Mozilla and it will not get someone to fix it unless
> someone volunteers for it. Convincing Mozilla that win64 should be tier1
> will require conversation on the mailing lists and not on this bug.
> 

I am trying to express that even if win64 builds are generated, they will not be usable.
Comment 54 Armen Zambrano [:armenzg] (EDT/UTC-4) 2013-03-27 10:03:41 PDT
We're currently not being able to keep up with our current development load and it's about time to deal with this part of the plan.

On another note, would it make sense to book one of our branches only for Win64?
They could get nightly updates and they could backout any merges from mozilla-central that would cause a regression.


(In reply to John O'Duinn [:joduinn] from comment #37)
> tweaking summary, per bsmedberg, we'll still generate 64bit windows builds
> as follows:
> 
> 1) generate 64bit builds on mozilla-central, but not on mozilla-inbound,
> m-a/m-b/m-r or any project branches
> ** 64bit builds would be nightly builds only, not per checkin builds
> 
> 2) 64bit builds on try, but not-by-default
>
Filed as bug 855056.

> 
> 3) 64bit builds only, there will not be any tests run on these 64bit builds
This was completed on comment 44.
Comment 55 Armen Zambrano [:armenzg] (EDT/UTC-4) 2013-03-28 08:16:37 PDT
Created attachment 730681 [details] [diff] [review]
leave win64 dep builds running on mozilla-central and try (when specified explicitely)

DISCLAIMER: This patch does not touch the win64 nightly builds.

This leaves the win64 dep builds running:
https://tbpl.mozilla.org/?jobname=WINNT 6.1 x86-64&showall=1

This would allow for win64 to be triggered on try with this syntax:
"try: -b o -p win64 -u none -t none" (tested it on my local machine)

This tackles points 1 and 2 of the current plan:
> 1) generate 64bit builds on mozilla-central, but not on mozilla-inbound,
> m-a/m-b/m-r or any project branches
> ** 64bit builds would be nightly builds only, not per checkin builds
> 2) 64bit builds on try, but not-by-default
Comment 56 Armen Zambrano [:armenzg] (EDT/UTC-4) 2013-03-28 12:14:08 PDT
Comment on attachment 730681 [details] [diff] [review]
leave win64 dep builds running on mozilla-central and try (when specified explicitely)

http://hg.mozilla.org/build/buildbot-configs/rev/b2d6983bf944

This should go live in the next reconfiguration of our masters.
Comment 57 Nick Thomas [:nthomas] 2013-04-01 15:58:28 PDT
Zombie pending builds on mozilla-inbound have been removed from the scheduler DB.
Comment 58 Armen Zambrano [:armenzg] (EDT/UTC-4) 2013-04-02 08:00:59 PDT
1) We still generate win64 nightly updates
2) We have addressed all points on comment 37
3) Updating nightly win64 users to win32 is to happen on bug 834891
4) The trychooser website has been updated to not show win64 as a default platform 

Added this info to the mailing list:
https://groups.google.com/d/msg/mozilla.dev.apps.firefox/DOihL2429NM/ehfqgsoqqREJ

[1] http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla-central/

(In reply to John O'Duinn [:joduinn] from comment #37)
> tweaking summary, per bsmedberg, we'll still generate 64bit windows builds
> as follows:
> 
> 1) generate 64bit builds on mozilla-central, but not on mozilla-inbound,
> m-a/m-b/m-r or any project branches
> ** 64bit builds would be nightly builds only, not per checkin builds
> 
> 2) 64bit builds on try, but not-by-default
> 
> 3) 64bit builds only, there will not be any tests run on these 64bit builds

[4] http://trychooser.pub.build.mozilla.org
Comment 59 Armen Zambrano [:armenzg] (EDT/UTC-4) 2013-04-02 10:41:11 PDT
We need win64 Thunderbird nightly builds.
Comment 60 Armen Zambrano [:armenzg] (EDT/UTC-4) 2013-04-02 12:50:12 PDT
Created attachment 732476 [details] [diff] [review]
add comm-central on-change and nightly builds
Comment 61 Armen Zambrano [:armenzg] (EDT/UTC-4) 2013-04-02 13:03:16 PDT
Comment on attachment 732476 [details] [diff] [review]
add comm-central on-change and nightly builds

This will be live in our next reconfiguration of our masters.
Comment 62 Ben Hearsum (:bhearsum) 2013-04-04 12:32:21 PDT
latest patch is in production

Note You need to log in before you can comment on or make changes to this bug.